---
apiVersion: v1
kind: Service
metadata:
  name: maps
  labels:
    app: maps
spec:
  ports:
    - name: http
      protocol: TCP
      port: 80
      targetPort: 80
---
apiVersion: v1
kind: Endpoints
metadata:
  name: maps
  labels:
    app: maps
subsets:
  - addresses:
      - ip: 10.224.33.241
    ports:
      - name: http
        port: 80
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: maps
  labels:
    app: maps
  annotations:
    kubernetes.io/ingress.class: public
    cert-manager.io/cluster-issuer: dns-issuer-prologin-dev
spec:
  rules:
  - host: maps.prologin.dev
    http:
      paths:
      - backend:
          serviceName: maps
          servicePort: http
  tls:
  - hosts:
    - maps.prologin.dev
    secretName: maps-secret-tls
